[ARVADOS-DEV] updated: 7c440b026d4be0e66d8da6a1529928ebef86ca44

Git user git at public.arvados.org
Fri Feb 14 16:07:10 UTC 2020


Summary of changes:
 jenkins/unpublish.sh | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

       via  7c440b026d4be0e66d8da6a1529928ebef86ca44 (commit)
      from  2cd13834ca9886d73e24ffb1aa66e72b30cfba76 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 7c440b026d4be0e66d8da6a1529928ebef86ca44
Author: Peter Amstutz <tetron at public.arvados.org>
Date:   Fri Feb 14 15:56:26 2020 +0000

    Can unpublish an individual package

diff --git a/jenkins/unpublish.sh b/jenkins/unpublish.sh
index 394dfd4..8ce2475 100755
--- a/jenkins/unpublish.sh
+++ b/jenkins/unpublish.sh
@@ -3,16 +3,22 @@
 set -x
 
 if [[ -z "$1" ]] ; then
-   echo "Must provide version number to unpublish"
-   exit 1
+    echo "Must provide version number to unpublish"
+    exit 1
 fi
 
 VERNO=$1
+PACKAGE="*"
 
-rm -f $(find /var/www/rpm.arvados.org/CentOS/7/testing -name *-${VERNO}*.rpm)
-createrepo /var/www/rpm.arvados.org/CentOS/7/testing/x86_64
+if [[ -n "$2" ]] ; then
+    PACKAGE="$2"
+fi
+
+rm -f $(find /var/www/rpm.arvados.org/CentOS/7/testing -name "${PACKAGE}-${VERNO}*.rpm")
+sudo -u jenkinsapt createrepo /var/www/rpm.arvados.org/CentOS/7/testing/x86_64
 
 for fr in $(ls -d /var/lib/freight/apt/*-testing) ; do
-    rm -f $(find ${fr} -name *_${VERNO}*.deb)
-    freight cache ${fr}
+    rm -f $(find ${fr} -name "${PACKAGE}_${VERNO}*.deb")
+    sudo -u jenkinsapt freight cache ${fr}
 done
+

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list